package com.cristobalbernal.VisualizarDirectorio;

import java.io.File;
import java.text.SimpleDateFormat;

public class VisualizarDirectorio {
	public static void main(String[] args) {
		File carpeta = new File(".");
		File[] archivos = carpeta .listFiles();
		if (archivos == null || archivos.length == 0) {
		    System.out.println("No hay elementos dentro de la carpeta actual");
		    return;
		}
		else {
		    SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
	        System.out.println("TIPO\t\tFECHA MODIFICACIÓN\tTAMAÑO\t\tNOMBRE");
		    for (int i=0; i< archivos.length; i++) {
		        File archivo = archivos[i];
		        long fecha = archivos[i].lastModified();
		        if(archivos[i].isDirectory()) {
					System.out.print("Directori");
				} else if(archivos[i].isFile()) {
					System.out.print("Archivo\t");
				}
				long modificacion = archivos[i].lastModified();
				System.out.print("\t" + sdf.format(modificacion) + "\t");
				System.out.print(archivos[i].length() + "\t\t");
				System.out.print(archivos[i].getPath() + "\n");
	       
		        
		        
		        
		        
		        
		    }
		}
	}
		
}
